Bug 1693987 - Review Request: java-latest-openjdk - rolling release for short term support OpenJDK
Summary: Review Request: java-latest-openjdk - rolling release for short term support ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: jiri vanek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-29 08:36 UTC by Petra Alice Mikova
Modified: 2019-09-25 10:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-25 10:44:26 UTC
jvanek: fedora_requires_release_note+
jvanek: fedora-review+


Attachments (Terms of Use)

Description Petra Alice Mikova 2019-03-29 08:36:58 UTC
Spec URL: https://pmikova.fedorapeople.org/java-latest-openjdk/java-latest-openjdk.spec
SRPM URL: https://pmikova.fedorapeople.org/java-latest-openjdk/java-latest-openjdk-12.0.0.33-3.rolling.fc31.src.rpm
Description: OpenJDK has release cadence of 6 months, but 3/4 of them are Short Term Supported for 6 months only. This package is designed to harbor them. Currently it is build of OpenJDK 12. LTSs will be released also as separate packages.

Fedora Account System Username: pmikova

Comment 1 jiri vanek 2019-03-29 12:07:32 UTC
Please, can you attach the build if you have some available?

Comment 2 Petra Alice Mikova 2019-03-29 13:30:50 UTC
rpms that I built on my system are here:

https://pmikova.fedorapeople.org/java-latest-openjdk/build/

Comment 3 jiri vanek 2019-03-31 11:19:44 UTC
This is rename of java-openjdk package. Except reanimg, it does nothing else.
This package can not obsolete java-openjdk, as it would obsolete java-1.8.0-openjdk via manual provides of java-openjdk it have.
The java-openjdk package should be emptied together with this update, and should require this new package as its implementation(thoughts?).
Tusu this can be handled later out of this review.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  [1] all those seems to be internal headers. Public headers ar ecorreclty in devel

- Package does not contain duplicates in %files.
  Note: BUILDSTDERR: warning: File listed twice:
  /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/server/classes.jsa
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles
*** Please check that and fix later

- This seems like a Java package, please install fedora-review-plugin-java
  to get additional checks
***  Tis is java itself. In addition it is modular java itself. Not much plugin can do here

- Bundled jar/class files should be removed before build
  Note: Jar files in source (see attachment)
  See: http://fedoraproject.org/wiki/Packaging:Java#Pre-
  built_JAR_files_.2F_Other_bundled_software'
*** Those are IdealGraphVisualizer and tests. Please remove before build.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
     Note: See rpmlint output
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Re-using old build in mock
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/24x24, /usr/share/icons/hicolor/32x32/apps,
     /usr/share/icons/hicolor/24x24/apps,
     /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug,
     /usr/share/icons/hicolor/16x16/apps, /usr/share/icons/hicolor/16x16,
     /usr/lib/jvm, /usr/share/icons/hicolor/48x48,
     /usr/share/icons/hicolor/48x48/apps,
     /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib,
     /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64,
     /usr/share/icons/hicolor/32x32, /usr/share/icons/hicolor,
     /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib
*** I'm not sure what to do with /usr/share/icons/. Had global settings changed in since last review?
    /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64{-slowdebug}/lib should be fixed

[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/.build-
     id/0d(librsvg2, libxcb, glusterfs, perl-interpreter, libreoffice-core,...4)
*** likely bug in review - this direcotry i suse dy all native apps in fedora with debuginfo

[x]: %build honors applicable compiler flags or justifies otherwise.
*** it honors as much as it can. Hard to mingle with it more

[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
     Note: No (noreplace) in %config
     /etc/java/java-12-openjdk/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/conf/management/jmxremote.password.template
     %config
     /etc/java/java-12-openjdk/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/conf/sdp/sdp.conf.template
     %config
     /etc/java/java-12-openjdk/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/conf/management/jmxremote.password.template
     %config
     /etc/java/java-12-openjdk/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/conf/sdp/sdp.conf.template
*** discussed several times,bad idea to use templates as norepalce

[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
*** For danger in this, please see initial paragraph

[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
*** See initial paragraph

[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in java-latest-openjdk, java-latest-openjdk-slowdebug
*** partial bug in review, this is not necessary for  f30 and up, but please dont forget it for f29+f28

[x]: Useful -debuginfo package or justification otherwise.
*** have you tried attaching gdb?

[x]: Package is not known to require an ExcludeArch tag.
*** However exclusion from i686 is likely to appear any soon. 

[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[-]: Uses parallel make %{?_smp_mflags} macro.
*** It is hard to mingle with jdk build more then it is now
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in java-
     latest-openjdk-slowdebug , java-latest-openjdk-headless , java-latest-
     openjdk-headless-slowdebug , java-latest-openjdk-devel , java-latest-
     openjdk-devel-slowdebug , java-latest-openjdk-jmods , java-latest-
     openjdk-jmods-slowdebug , java-latest-openjdk-demo , java-latest-
     openjdk-demo-slowdebug , java-latest-openjdk-src , java-latest-
     openjdk-src-slowdebug , java-latest-openjdk-javadoc , java-latest-
     openjdk-javadoc-zip , java-latest-openjdk-javadoc-slowdebug , java-
     latest-openjdk-javadoc-zip-slowdebug , java-latest-openjdk-debuginfo ,
     java-latest-openjdk-debugsource
*** All slowdebug are 100% ok. They must NOT require it. headless is also good, as it is actually the base package. normal jmods, demo, src and javadoc and javadoc-zip are most likely ok,
*** Suspicious is: java-latest-openjdk-devel!!


[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[-]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define is_release_build() %(
     if [ "%{?1}" == "%{debug_suffix_unquoted}" ]; then echo "0" ; else
     echo "1"; fi ), %define buildoutputdir() %{expand:openjdk/build%{?1}},
     %define uniquejavadocdir() %{expand:%{fullversion}.%{_arch}%{?1}},
     %define uniquesuffix() %{expand:%{fullversion}.%{_arch}%{?1}}, %define
     etcjavadir() %{expand:%{etcjavasubdir}/%{uniquesuffix -- %{?1}}},
     %define sdkdir() %{expand:%{uniquesuffix -- %{?1}}}, %define jrelnk()
     %{expand:jre-%{javaver}-%{origin}-%{version}-%{release}.%{_arch}%{?1}},
     %define sdkbindir() %{expand:%{_jvmdir}/%{sdkdir -- %{?1}}/bin},
     %define jrebindir() %{expand:%{_jvmdir}/%{sdkdir -- %{?1}}/bin},
     %define post_script() %{expand:, %define post_headless() %{expand:,
     %define postun_script() %{expand:, %define postun_headless()
     %{expand:, %define posttrans_script() %{expand:, %define post_devel()
     %{expand:, %define postun_devel() %{expand:, %define posttrans_devel()
     %{expand:, %define post_javadoc() %{expand:, %define postun_javadoc()
     %{expand:, %define post_javadoc_zip() %{expand:, %define
     postun_javadoc_zip() %{expand:, %define files_jre() %{expand:, %define
     files_jre_headless() %{expand:, %define files_devel() %{expand:,
     %define files_jmods() %{expand:, %define files_demo() %{expand:,
     %define files_src() %{expand:, %define files_javadoc() %{expand:,
     %define files_javadoc_zip() %{expand:, %define java_rpo() %{expand:,
     %define java_headless_rpo() %{expand:, %define java_devel_rpo()
     %{expand:, %define java_jmods_rpo() %{expand:, %define java_demo_rpo()
     %{expand:, %define java_javadoc_rpo() %{expand:, %define
     java_src_rpo() %{expand:
*** This is really tricky sections. Enforced global do not have always sense. Especially with parametrised macros

[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 681164800 bytes in /usr/share java-
     latest-openjdk-javadoc-
     slowdebug-12.0.0.33-3.rolling.fc29.x86_64.rpm:291502080, java-latest-
     openjdk-javadoc-12.0.0.33-3.rolling.fc29.x86_64.rpm:291502080, java-
     latest-openjdk-javadoc-zip-
     slowdebug-12.0.0.33-3.rolling.fc29.x86_64.rpm:48783360, java-latest-
     openjdk-javadoc-zip-12.0.0.33-3.rolling.fc29.x86_64.rpm:48783360
     See:
     http://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Guidelines
*** zipped javadoc can be directly used by java tools, and is much more usefull then unzipepd one.

[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: java-latest-openjdk-12.0.0.33-3.rolling.fc29.x86_64.rpm
          java-latest-openjdk-slowdebug-12.0.0.33-3.rolling.fc29.x86_64.rpm
          java-latest-openjdk-headless-12.0.0.33-3.rolling.fc29.x86_64.rpm
          java-latest-openjdk-headless-slowdebug-12.0.0.33-3.rolling.fc29.x86_64.rpm
          java-latest-openjdk-devel-12.0.0.33-3.rolling.fc29.x86_64.rpm
          java-latest-openjdk-devel-slowdebug-12.0.0.33-3.rolling.fc29.x86_64.rpm
          java-latest-openjdk-jmods-12.0.0.33-3.rolling.fc29.x86_64.rpm
          java-latest-openjdk-jmods-slowdebug-12.0.0.33-3.rolling.fc29.x86_64.rpm
          java-latest-openjdk-demo-12.0.0.33-3.rolling.fc29.x86_64.rpm
          java-latest-openjdk-demo-slowdebug-12.0.0.33-3.rolling.fc29.x86_64.rpm
          java-latest-openjdk-src-12.0.0.33-3.rolling.fc29.x86_64.rpm
          java-latest-openjdk-src-slowdebug-12.0.0.33-3.rolling.fc29.x86_64.rpm
          java-latest-openjdk-javadoc-12.0.0.33-3.rolling.fc29.x86_64.rpm
          java-latest-openjdk-javadoc-zip-12.0.0.33-3.rolling.fc29.x86_64.rpm
          java-latest-openjdk-javadoc-slowdebug-12.0.0.33-3.rolling.fc29.x86_64.rpm
          java-latest-openjdk-javadoc-zip-slowdebug-12.0.0.33-3.rolling.fc29.x86_64.rpm
          java-latest-openjdk-debuginfo-12.0.0.33-3.rolling.fc29.x86_64.rpm
          java-latest-openjdk-debugsource-12.0.0.33-3.rolling.fc29.x86_64.rpm
          java-latest-openjdk-12.0.0.33-3.rolling.fc29.src.rpm
*** skipped many *** jdk is stripped in way, it can be actually suefull and invalid-soname  and binary-or-shlib-defines-rpath
java-latest-openjdk.x86_64: W: unstripped-binary-or-object /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libawt_xawt.so
*** jdk is stripped in way, it can be actually useful

java-latest-openjdk.x86_64: E: invalid-soname /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libawt_xawt.so libawt_xawt.so
java-latest-openjdk.x86_64: E: binary-or-shlib-defines-rpath /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libawt_xawt.so ['$ORIGIN']
*** internal libraries

java-latest-openjdk-headless.x86_64: W: conffile-without-noreplace-flag /etc/java/java-12-openjdk/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/conf/sdp/sdp.conf.template (and one more)
*** explained above

java-latest-openjdk-headless.x86_64: W: hidden-file-or-dir /etc/.java
java-latest-openjdk-headless.x86_64: W: hidden-file-or-dir /etc/.java/.systemPrefs
*** upstream issue?


java-latest-openjdk-headless.x86_64: W: dangling-symlink /etc/java/java-12-openjdk/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/security/cacerts /etc/pki/java/cacerts
java-latest-openjdk-headless.x86_64: W: dangling-symlink /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/tzdb.dat /usr/share/javazi-1.8/tzdb.dat
*** should be (are not)  not dangling after install

java-latest-openjdk-headless-slowdebug.x86_64: E: explicit-lib-dependency cups-libs
*** intentional

*** skipped same issues for slowdebug subpackages

java-latest-openjdk-devel-slowdebug.x86_64: W: devel-file-in-non-devel-package /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/include/classfile_constants.h
*** 10 times  - this is slowdebug devel subpackage
 
java-latest-openjdk-jmods.x86_64: E: devel-dependency java-latest-openjdk-devel
java-latest-openjdk-jmods.x86_64: W: invalid-license RSA
java-latest-openjdk-jmods.x86_64: W: only-non-binary-in-usr-lib
java-latest-openjdk-jmods.x86_64: W: no-documentation
java-latest-openjdk-jmods-slowdebug.x86_64: W: invalid-license RSA
java-latest-openjdk-jmods-slowdebug.x86_64: W: only-non-binary-in-usr-lib
java-latest-openjdk-jmods-slowdebug.x86_64: W: no-documentation
java-latest-openjdk-demo.x86_64: W: invalid-license RSA
java-latest-openjdk-demo.x86_64: W: only-non-binary-in-usr-lib
java-latest-openjdk-demo.x86_64: W: no-documentation
java-latest-openjdk-demo.x86_64: E: wrong-script-interpreter /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/sample/nashorn/dynalink/array_stream_linker.js array stream linker example
...many...
java-latest-openjdk-demo-slowdebug.x86_64: E: non-executable-script /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/sample/nashorn/pgrep.js
*** Tests for nasshorn

 644 /usr/bin/jjs --language=es6
java-latest-openjdk-src.x86_64: W: invalid-license RSA
java-latest-openjdk-src.x86_64: W: only-non-binary-in-usr-lib
java-latest-openjdk-src.x86_64: W: no-documentation
java-latest-openjdk-src-slowdebug.x86_64: E: description-line-too-long C  class library source code for use by IDE indexers and debuggers. Debugging for packages with debug on.
java-latest-openjdk-src-slowdebug.x86_64: W: invalid-license RSA
java-latest-openjdk-src-slowdebug.x86_64: W: only-non-binary-in-usr-lib
java-latest-openjdk-src-slowdebug.x86_64: W: no-documentation
java-latest-openjdk-javadoc.x86_64: W: invalid-license RSA
java-latest-openjdk-javadoc-zip.x86_64: W: invalid-license RSA
java-latest-openjdk-javadoc-zip.x86_64: W: file-not-utf8 /usr/share/javadoc/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64.zip
java-latest-openjdk-javadoc-slowdebug.x86_64: W: invalid-license RSA
java-latest-openjdk-javadoc-zip-slowdebug.x86_64: E: summary-too-long C OpenJDK 12 API documentation compressed in single archive for packages with debug on
java-latest-openjdk-javadoc-zip-slowdebug.x86_64: E: description-line-too-long C The OpenJDK 12 API documentation compressed in single archive for packages with debug on.
java-latest-openjdk-javadoc-zip-slowdebug.x86_64: W: invalid-license RSA
java-latest-openjdk-javadoc-zip-slowdebug.x86_64: W: file-not-utf8 /usr/share/javadoc/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug.zip
java-latest-openjdk-debuginfo.x86_64: W: invalid-license RSA
java-latest-openjdk-debugsource.x86_64: W: invalid-license RSA
java-latest-openjdk.src: W: invalid-license RSA
java-latest-openjdk.src:1360: W: configure-without-libdir-spec
java-latest-openjdk.src:2083: W: macro-in-%changelog %check
*** shoudl be fixed

java-latest-openjdk.src: W: invalid-url Source8: systemtap_3.2_tapsets_hg-icedtea8-9d464368e06d.tar.xz
java-latest-openjdk.src: W: invalid-url Source0: jdk-jdk12-jdk-12+33.tar.xz
*** the usptream do not have osurce releases, they are generated by scripts which are in java-openjdk package
*** Petra Alice, please dont forget to importa also those files (they are not in srpm[intentionally])

19 packages and 0 specfiles checked; 226 errors, 219 warnings.




Rpmlint (debuginfo)
-------------------
Checking: java-latest-openjdk-headless-slowdebug-debuginfo-12.0.0.33-3.rolling.fc29.x86_64.rpm
          java-latest-openjdk-devel-debuginfo-12.0.0.33-3.rolling.fc29.x86_64.rpm
          java-latest-openjdk-slowdebug-debuginfo-12.0.0.33-3.rolling.fc29.x86_64.rpm
          java-latest-openjdk-headless-debuginfo-12.0.0.33-3.rolling.fc29.x86_64.rpm
          java-latest-openjdk-debuginfo-12.0.0.33-3.rolling.fc29.x86_64.rpm
          java-latest-openjdk-devel-slowdebug-debuginfo-12.0.0.33-3.rolling.fc29.x86_64.rpm
java-latest-openjdk-headless-slowdebug-debuginfo.x86_64: W: invalid-license RSA
java-latest-openjdk-devel-debuginfo.x86_64: W: invalid-license RSA
java-latest-openjdk-slowdebug-debuginfo.x86_64: W: invalid-license RSA
java-latest-openjdk-headless-debuginfo.x86_64: W: invalid-license RSA
java-latest-openjdk-debuginfo.x86_64: W: invalid-license RSA
java-latest-openjdk-devel-slowdebug-debuginfo.x86_64: W: invalid-license RSA
6 packages and 0 specfiles checked; 0 errors, 6 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
java-latest-openjdk-slowdebug.x86_64: W: invalid-license RSA
java-latest-openjdk-slowdebug.x86_64: W: invalid-url URL: http://openjdk.java.net/ <urlopen error [Errno -2] Name or service not known>
java-latest-openjdk-slowdebug.x86_64: W: unstripped-binary-or-object /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libawt_xawt.so
java-latest-openjdk-slowdebug.x86_64: E: invalid-soname /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libawt_xawt.so libawt_xawt.so
java-latest-openjdk-slowdebug.x86_64: W: undefined-non-weak-symbol /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libawt_xawt.so JVM_GetMethodIxLocalsCount,
java-latest-openjdk-slowdebug.x86_64: W: undefined-non-weak-symbol /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libawt_xawt.so
*** ...skipped slowdebug issues

 JVM_GetMethodIxLocalsCount,
java-latest-openjdk-slowdebug.x86_64: W: undefined-non-weak-symbol /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libjawt.so JVM_IsSameClassPackage,
*** ... Skipped 8000 same issues
java-latest-openjdk.x86_64: W: unused-direct-shlib-dependency /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libsplashscreen.so libjvm.so
java-latest-openjdk.x86_64: W: unused-direct-shlib-dependency /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libsplashscreen.so libX11.so.6
java-latest-openjdk.x86_64: W: unused-direct-shlib-dependency /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libsplashscreen.so libXext.so.6
java-latest-openjdk.x86_64: W: unused-direct-shlib-dependency /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libsplashscreen.so /lib64/libm.so.6
java-latest-openjdk.x86_64: W: unused-direct-shlib-dependency /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libsplashscreen.so /lib64/libz.so.1
java-latest-openjdk.x86_64: W: unused-direct-shlib-dependency /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libsplashscreen.so libgif.so.7
java-latest-openjdk.x86_64: W: unused-direct-shlib-dependency /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libsplashscreen.so libjpeg.so.62
*** I dont know how this is ok/not ok. Lets discuss java-team here.

23 packages and 0 specfiles checked; 226 errors, 9888 warnings.



Requires
--------
java-latest-openjdk (rpmlib, GLIBC filtered):
    /bin/sh
    fontconfig(x86-64)
    java-latest-openjdk-headless(x86-64)
    xorg-x11-fonts-Type1

java-latest-openjdk-slowdebug (rpmlib, GLIBC filtered):
    /bin/sh
    fontconfig(x86-64)
    java-latest-openjdk-headless-slowdebug(x86-64)
    xorg-x11-fonts-Type1

java-latest-openjdk-devel-slowdebug (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/sbin/alternatives
    java-latest-openjdk-slowdebug(x86-64)

java-latest-openjdk-src (rpmlib, GLIBC filtered):
    java-latest-openjdk-headless(x86-64)

java-latest-openjdk-src-slowdebug (rpmlib, GLIBC filtered):
    java-latest-openjdk-headless-slowdebug(x86-64)

java-latest-openjdk-headless (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/sbin/alternatives
    ca-certificates
    config(java-latest-openjdk-headless)
    copy-jdk-configs
    cups-libs
    javapackages-filesystem
    ld-linux-x86-64.so.2()(64bit)
    nss(x86-64)
    nss-softokn(x86-64)
    tzdata-java

java-latest-openjdk-headless-slowdebug (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/sbin/alternatives
    ca-certificates
    config(java-latest-openjdk-headless-slowdebug)
    copy-jdk-configs
    cups-libs
    javapackages-filesystem
    ld-linux-x86-64.so.2()(64bit)
    nss(x86-64)
    nss-softokn(x86-64)
    tzdata-java

java-latest-openjdk-jmods-slowdebug (rpmlib, GLIBC filtered):
    java-latest-openjdk-devel-slowdebug

java-latest-openjdk-debuginfo (rpmlib, GLIBC filtered):

java-latest-openjdk-javadoc (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/sbin/alternatives
    javapackages-filesystem

java-latest-openjdk-devel (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/sbin/alternatives
    java-latest-openjdk(x86-64)

java-latest-openjdk-jmods (rpmlib, GLIBC filtered):
    java-latest-openjdk-devel

java-latest-openjdk-javadoc-zip (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/sbin/alternatives
    javapackages-filesystem

java-latest-openjdk-javadoc-slowdebug (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/sbin/alternatives
    javapackages-filesystem

java-latest-openjdk-javadoc-zip-slowdebug (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/sbin/alternatives
    javapackages-filesystem

java-latest-openjdk-debugsource (rpmlib, GLIBC filtered):

java-latest-openjdk-demo (rpmlib, GLIBC filtered):
    java-latest-openjdk(x86-64)

java-latest-openjdk-demo-slowdebug (rpmlib, GLIBC filtered):
    java-latest-openjdk-slowdebug(x86-64)



Provides
--------
java-latest-openjdk:
    java-12
    java-12-openjdk
    java-latest-openjdk
    java-latest-openjdk(x86-64)
    jre-12
    jre-12-openjdk

java-latest-openjdk-slowdebug:
    java-12-openjdk-slowdebug
    java-12-slowdebug
    java-latest-openjdk-slowdebug
    java-latest-openjdk-slowdebug(x86-64)
    jre-12-openjdk-slowdebug
    jre-12-slowdebug

java-latest-openjdk-devel-slowdebug:
    application()
    application(java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug-jconsole-slowdebug.desktop)
    java-12-devel-slowdebug
    java-12-openjdk-devel-slowdebug
    java-latest-openjdk-devel-slowdebug
    java-latest-openjdk-devel-slowdebug(x86-64)
    java-sdk-12-openjdk-slowdebug
    java-sdk-12-slowdebug

java-latest-openjdk-src:
    java-12-openjdk-src
    java-12-src
    java-latest-openjdk-src
    java-latest-openjdk-src(x86-64)

java-latest-openjdk-src-slowdebug:
    java-12-openjdk-src-slowdebug
    java-12-src-slowdebug
    java-latest-openjdk-src-slowdebug
    java-latest-openjdk-src-slowdebug(x86-64)

java-latest-openjdk-headless:
    config(java-latest-openjdk-headless)
    java-12-headless
    java-12-openjdk-headless
    java-latest-openjdk-headless
    java-latest-openjdk-headless(x86-64)
    jre-12-headless
    jre-12-openjdk-headless

java-latest-openjdk-headless-slowdebug:
    config(java-latest-openjdk-headless-slowdebug)
    java-12-headless-slowdebug
    java-12-openjdk-headless-slowdebug
    java-latest-openjdk-headless-slowdebug
    java-latest-openjdk-headless-slowdebug(x86-64)
    jre-12-headless-slowdebug
    jre-12-openjdk-headless-slowdebug

java-latest-openjdk-jmods-slowdebug:
    java-12-jmods-slowdebug
    java-12-openjdk-jmods-slowdebug
    java-latest-openjdk-jmods-slowdebug
    java-latest-openjdk-jmods-slowdebug(x86-64)

java-latest-openjdk-debuginfo:
    debuginfo(build-id)
    java-latest-openjdk-debuginfo
    java-latest-openjdk-debuginfo(x86-64)

java-latest-openjdk-javadoc:
    java-12-javadoc
    java-12-openjdk-javadoc
    java-latest-openjdk-javadoc
    java-latest-openjdk-javadoc(x86-64)

java-latest-openjdk-devel:
    application()
    application(java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-jconsole.desktop)
    java-12-devel
    java-12-openjdk-devel
    java-latest-openjdk-devel
    java-latest-openjdk-devel(x86-64)
    java-sdk-12
    java-sdk-12-openjdk

java-latest-openjdk-jmods:
    java-12-jmods
    java-12-openjdk-jmods
    java-latest-openjdk-jmods
    java-latest-openjdk-jmods(x86-64)

java-latest-openjdk-javadoc-zip:
    java-12-javadoc
    java-12-openjdk-javadoc
    java-latest-openjdk-javadoc-zip
    java-latest-openjdk-javadoc-zip(x86-64)

java-latest-openjdk-javadoc-slowdebug:
    java-12-javadoc-slowdebug
    java-12-openjdk-javadoc-slowdebug
    java-latest-openjdk-javadoc-slowdebug
    java-latest-openjdk-javadoc-slowdebug(x86-64)

java-latest-openjdk-javadoc-zip-slowdebug:
    java-12-javadoc-slowdebug
    java-12-openjdk-javadoc-slowdebug
    java-latest-openjdk-javadoc-zip-slowdebug
    java-latest-openjdk-javadoc-zip-slowdebug(x86-64)

java-latest-openjdk-debugsource:
    java-latest-openjdk-debugsource
    java-latest-openjdk-debugsource(x86-64)

java-latest-openjdk-demo:
    java-12-demo
    java-12-openjdk-demo
    java-latest-openjdk-demo
    java-latest-openjdk-demo(x86-64)

java-latest-openjdk-demo-slowdebug:
    java-12-demo-slowdebug
    java-12-openjdk-demo-slowdebug
    java-latest-openjdk-demo-slowdebug
    java-latest-openjdk-demo-slowdebug(x86-64)

Comment 4 jiri vanek 2019-03-31 11:21:22 UTC
Unversioned so-files
--------------------
java-latest-openjdk: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libawt_xawt.so
java-latest-openjdk: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libjawt.so
java-latest-openjdk: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libsplashscreen.so
java-latest-openjdk-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libawt_xawt.so
java-latest-openjdk-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libjawt.so
java-latest-openjdk-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libsplashscreen.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libattach.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libawt.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libawt_headless.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libdt_socket.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libextnet.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libfontmanager.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libinstrument.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libj2gss.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libj2pcsc.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libj2pkcs11.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libjaas.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libjava.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libjavajpeg.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libjdwp.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libjimage.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libjli.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libjsig.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libjsound.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/liblcms.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libmanagement.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libmanagement_agent.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libmanagement_ext.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libmlib_image.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libnet.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libnio.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libprefs.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/librmi.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libsaproc.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libsctp.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libsunec.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libunpack.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libverify.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libzip.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/server/libjsig.so
java-latest-openjdk-headless: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/server/libjvm.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libattach.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libawt.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libawt_headless.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libdt_socket.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libextnet.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libfontmanager.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libinstrument.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libj2gss.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libj2pcsc.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libj2pkcs11.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libjaas.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libjava.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libjavajpeg.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libjdwp.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libjimage.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libjli.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libjsig.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libjsound.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/liblcms.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libmanagement.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libmanagement_agent.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libmanagement_ext.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libmlib_image.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libnet.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libnio.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libprefs.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/librmi.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libsaproc.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libsctp.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libsunec.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libunpack.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libverify.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libzip.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/server/libjsig.so
java-latest-openjdk-headless-slowdebug: /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/server/libjvm.so

Jar and class files in source
-----------------------------
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/utils/IdealGraphVisualizer/branding/core/core.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/utils/IdealGraphVisualizer/branding/modules/org-netbeans-core-windows.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/hotspot/jtreg/runtime/duplAttributes/test.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/hotspot/jtreg/runtime/EnclosingMethodAttr/enclMethodAttr.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/hotspot/jtreg/runtime/LocalVariableTable/testcase.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/hotspot/jtreg/runtime/classFileParserBug/test.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/hotspot/jtreg/runtime/classFileParserBug/emptynumbootstrapmethods.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/hotspot/jtreg/runtime/7116786/testcases.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/hotspot/jtreg/runtime/ClassFile/JsrRewritingTestCase.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/hotspot/jtreg/runtime/ClassFile/testcase.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/hotspot/jtreg/runtime/LoadClass/dummy.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/hotspot/jtreg/gc/logging/testcases.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/tools/pack200/pack200-verifier/data/golden.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/tools/pack200/badattr.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/tools/launcher/UnicodeTest.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/javax/crypto/SecretKeyFactory/P2.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/javax/crypto/SecretKeyFactory/P1.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/javax/management/loading/LibraryLoader/native.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/io/Serializable/maskSyntheticModifier/Foo.class
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/security/Security/ClassLoaderDeadlock/Deadlock.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/security/Security/signedfirst/exp.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/security/ProtectionDomain/AllPerm.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/lang/Class/forName/classes/comma.class
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/lang/Class/forName/classes/Z.class
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/lang/Class/forName/classes/hyphen.class
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/lang/Class/forName/classes/3.class
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/lang/Class/forName/classes/semicolon.class
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/lang/Class/forName/classes/right-square.class
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/lang/Class/forName/classes/0.class
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/lang/Class/forName/classes/left-square.class
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/lang/Class/forName/classes/period.class
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/lang/Class/forName/classes/plus.class
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/lang/Class/EnumPoseur.class
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/lang/instrument/PremainClass/Agent.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/lang/ClassLoader/findSystemClass/java/lang/Object.class
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/beans/XMLDecoder/4676532/test.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/beans/Introspector/7064279/test.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/util/jar/JarFile/thawjar.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/util/jar/JarFile/no-manifest.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/util/jar/JarFile/test.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/util/jar/JarFile/Signed.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/util/jar/JarFile/bogus-signerinfo-attr.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/util/jar/JarEntry/test.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/util/jar/JarInputStream/BadSignedJar.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/util/jar/JarInputStream/signed.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/util/zip/input.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/util/zip/ZipFile/input.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/util/zip/ZipFile/crash.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/util/zip/ZipEntry/input.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/net/URLClassLoader/sealing/b.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/net/URLClassLoader/jars/class_path_test.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/net/URLClassLoader/jars/class_path_test_classpath.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/net/URLClassLoader/extdir/extention.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/net/URLClassLoader/getresourceasstream/test.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/net/URLConnection/jars/test.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/net/URLConnection/6212146/test.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/java/net/Socket/OldSocketImpl.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/sun/misc/Hello.class
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/sun/misc/URLClassPath/testclasses.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/sun/misc/ClassLoaderUtil/test.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/sun/security/tools/jarsigner/AlgOptions.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/sun/security/tools/jarsigner/JarSigning_RU.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/sun/security/tools/jarsigner/JavaApplication1.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/sun/security/tools/jarsigner/oldsig/A.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/sun/security/tools/jarsigner/oldsig/A.class
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/sun/security/pkcs11/KeyStore/loader.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/sun/security/provider/PolicyParser/ExtDirsB/b.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/sun/security/provider/PolicyParser/ExtDirsA/a.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/sun/net/www/protocol/jar/foo.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/sun/net/www/protocol/jar/bar.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/sun/net/www/protocol/jar/foo1.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/sun/net/www/protocol/jar/foo2.jar
./java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/test/jdk/sun/net/www/protocol/jar/resource.jar


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-29-x86_64 -b 1693987 --no-build -v -x CheckLicenseField
Buildroot used: fedora-29-x86_64
Active plugins: Generic, Shell-api, Java, C/C++
Disabled plugins: Python, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 jiri vanek 2019-03-31 11:21:41 UTC
[1] Note: java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/build-slowdebug/hotspot
  /variant-server/gensrc/dtracefiles/hotspot.h java-latest-openjdk-
  debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/build-slowdebug/hotspot
  /variant-server/gensrc/dtracefiles/hotspot_jni.h java-latest-openjdk-
  debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/build-slowdebug/hotspot
  /variant-server/gensrc/dtracefiles/hs_private.h java-latest-openjdk-
  debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/build-slowdebug/hotspot
  /variant-server/gensrc/jvmtifiles/jvmti.h java-latest-openjdk-debugsource
  : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/build-
  slowdebug/support/modules_include/java.base/classfile_constants.h java-
  latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/build-
  slowdebug/support/modules_include/java.base/jni.h java-latest-openjdk-
  debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/build-
  slowdebug/support/modules_include/java.base/jvmti.h java-latest-openjdk-
  debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/build-
  slowdebug/support/modules_include/java.base/jvmticmlr.h java-latest-
  openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/build-
  slowdebug/support/modules_include/java.base/linux/jni_md.h java-latest-
  openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/build/hotspot/variant-
  server/gensrc/dtracefiles/hotspot.h java-latest-openjdk-debugsource :
  /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/build/hotspot/variant-
  server/gensrc/dtracefiles/hotspot_jni.h java-latest-openjdk-debugsource :
  /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/build/hotspot/variant-
  server/gensrc/dtracefiles/hs_private.h java-latest-openjdk-debugsource :
  /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/build/hotspot/variant-
  server/gensrc/jvmtifiles/jvmti.h java-latest-openjdk-debugsource :
  /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/build/support/headers/java.base/java_net_Inet4AddressImpl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/build/support/headers/java.base/java_net_InetAddress.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/build/support/headers/java.base/java_net_NetworkInterface.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/build/support/modules_include/java.base/classfile_constants.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/build/support/modules_include/java.base/jni.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/build/support/modules_include/java.base/jvmti.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/build/support/modules_include/java.base/jvmticmlr.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/build/support/modules_include/java.base/linux/jni_md.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/hotspot/cpu/x86/crc32c.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/hotspot/share/include/cds.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/hotspot/share/include/jmm.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/hotspot/share/include/jvm.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.base/share/native/launcher/defines.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.base/share/native/libfdlibm/fdlibm.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.base/share/native/libjava/io_util.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.base/share/native/libjava/java_props.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.base/share/native/libjava/jdk_util.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.base/share/native/libjava/jni_util.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.base/share/native/libjli/java.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.base/share/native/libjli/jli_util.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.base/share/native/libjli/manifest_info.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.base/share/native/libjli/splashscreen.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.base/share/native/libjli/wildcard.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.base/share/native/libnet/net_util.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.base/share/native/libnet/proxy_util.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.base/share/native/libzip/zip_util.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.base/unix/native/libjava/ProcessHandleImpl_unix.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.base/unix/native/libjava/TimeZone_md.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.base/unix/native/libjava/childproc.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.base/unix/native/libjava/io_util_md.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.base/unix/native/libjava/locale_str.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.base/unix/native/libjli/java_md.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.base/unix/native/libjli/java_md_solinux.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.base/unix/native/libnet/net_util_md.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.base/unix/native/libnio/ch/nio_util.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/linux/native/libjsound/PLATFORM_API_LinuxOS_ALSA_CommonUtils.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/linux/native/libjsound/PLATFORM_API_LinuxOS_ALSA_MidiUtils.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/linux/native/libjsound/PLATFORM_API_LinuxOS_ALSA_PCMUtils.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/common/awt/debug/debug_assert.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/common/awt/debug/debug_mem.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/common/awt/debug/debug_trace.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/common/awt/debug/debug_util.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/common/font/AccelGlyphCache.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/common/font/fontscalerdefs.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/common/font/sunfontids.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/common/java2d/opengl/J2D_GL/gl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/common/java2d/opengl/J2D_GL/glext.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/common/java2d/opengl/OGLBlitLoops.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/common/java2d/opengl/OGLBufImgOps.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/common/java2d/opengl/OGLContext.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/common/java2d/opengl/OGLFuncs.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/common/java2d/opengl/OGLMaskBlit.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/common/java2d/opengl/OGLMaskFill.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/common/java2d/opengl/OGLPaints.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/common/java2d/opengl/OGLRenderQueue.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/common/java2d/opengl/OGLRenderer.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/common/java2d/opengl/OGLSurfaceData.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/common/java2d/opengl/OGLTextRenderer.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/common/java2d/opengl/OGLVertexCache.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/include/jawt.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/awt/image/BufImgSurfaceData.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/awt/image/awt_parseImage.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/awt/image/cvutils/img_colors.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/awt/image/cvutils/img_globals.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/awt/image/dither.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/awt/image/imageInitIDs.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/awt/medialib/awt_ImagingLib.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/Disposer.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/SurfaceData.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/Trace.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/AlphaMacros.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/AlphaMath.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/Any3Byte.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/Any4Byte.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/AnyByte.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/AnyInt.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/AnyShort.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/ByteBinary1Bit.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/ByteBinary2Bit.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/ByteBinary4Bit.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/ByteGray.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/ByteIndexed.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/DrawPath.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/FourByteAbgr.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/FourByteAbgrPre.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/GlyphImageRef.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/GraphicsPrimitiveMgr.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/Index12Gray.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/Index8Gray.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/IntArgb.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/IntArgbBm.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/IntArgbPre.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/IntBgr.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/IntRgb.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/IntRgbx.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/LineUtils.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/ProcessPath.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/ThreeByteBgr.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/Ushort4444Argb.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/Ushort555Rgb.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/Ushort555Rgbx.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/Ushort565Rgb.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/UshortGray.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/loops/UshortIndexed.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/pipe/PathConsumer2D.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/pipe/Region.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libawt/java2d/pipe/SpanIterator.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libfontmanager/glyphblitting.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libfontmanager/harfbuzz
  /hb-blob.h java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libfontmanager/harfbuzz
  /hb-buffer.h java-latest-openjdk-debugsource : /usr/src/debug/java-
  latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libfontmanager/harfbuzz
  /hb-common.h java-latest-openjdk-debugsource : /usr/src/debug/java-
  latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libfontmanager/harfbuzz
  /hb-deprecated.h java-latest-openjdk-debugsource : /usr/src/debug/java-
  latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libfontmanager/harfbuzz
  /hb-face.h java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libfontmanager/harfbuzz
  /hb-font.h java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libfontmanager/harfbuzz
  /hb-map.h java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libfontmanager/harfbuzz
  /hb-ot-layout.h java-latest-openjdk-debugsource : /usr/src/debug/java-
  latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libfontmanager/harfbuzz
  /hb-ot-tag.h java-latest-openjdk-debugsource : /usr/src/debug/java-
  latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libfontmanager/harfbuzz
  /hb-ot-var.h java-latest-openjdk-debugsource : /usr/src/debug/java-
  latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libfontmanager/harfbuzz
  /hb-set.h java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libfontmanager/harfbuzz
  /hb-shape-plan.h java-latest-openjdk-debugsource : /usr/src/debug/java-
  latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libfontmanager/harfbuzz
  /hb-shape.h java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libfontmanager/harfbuzz
  /hb-ucdn/ucdn.h java-latest-openjdk-debugsource : /usr/src/debug/java-
  latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libfontmanager/harfbuzz
  /hb-ucdn/ucdn_db.h java-latest-openjdk-debugsource : /usr/src/debug/java-
  latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libfontmanager/harfbuzz
  /hb-unicode.h java-latest-openjdk-debugsource : /usr/src/debug/java-
  latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libfontmanager
  /hb-jdk.h java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libfontmanager/scriptMapping.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libjsound/DirectAudio.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libjsound/PlatformMidi.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libjsound/Ports.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libjsound/SoundDefs.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libjsound/Utilities.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libmlib_image/mlib_ImageAffine.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libmlib_image/mlib_ImageClipping.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libmlib_image/mlib_ImageConv.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libmlib_image/mlib_ImageConvEdge.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libmlib_image/mlib_ImageCopy.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libmlib_image/mlib_ImageCreate.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libmlib_image/mlib_ImageDivTables.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libmlib_image/mlib_ImageFilters.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libmlib_image/mlib_ImageLookUp.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libmlib_image/mlib_ImageRowTable.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libmlib_image/mlib_SysMath.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libmlib_image/mlib_c_ImageConv.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libmlib_image/mlib_c_ImageLookUp.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libmlib_image/mlib_image_get.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libmlib_image/mlib_image_types.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libmlib_image/mlib_status.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libmlib_image/mlib_sys_proto.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libmlib_image/mlib_types.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libsplashscreen/splashscreen_gfx.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libsplashscreen/splashscreen_gfx_impl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/share/native/libsplashscreen/splashscreen_impl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/common/awt/awt.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/common/awt/awt_Component.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/common/awt/awt_Font.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/common/awt/awt_GraphicsEnv.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/common/awt/awt_Mlib.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/common/awt/awt_p.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/common/awt/awt_util.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/common/awt/color.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/common/awt/colordata.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/common/awt/img_util_md.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/common/awt/systemscale/systemScale.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/common/awt/utility/rect.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/common/font/X11FontScaler.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/common/java2d/opengl/GLXGraphicsConfig.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/common/java2d/opengl/GLXSurfaceData.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/common/java2d/opengl/J2D_GL/glx.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/common/java2d/opengl/OGLFuncs_md.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/common/java2d/x11/X11SurfaceData.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/include/jawt_md.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/libawt/java2d/j2d_md.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/libawt_xawt/awt/awt_AWTEvent.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/libawt_xawt/awt/awt_Event.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/libawt_xawt/awt/awt_Insets.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/libawt_xawt/awt/awt_MenuComponent.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/libawt_xawt/awt/canvas.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/libawt_xawt/awt/gtk2_interface.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/libawt_xawt/awt/gtk3_interface.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/libawt_xawt/awt/gtk_interface.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/libawt_xawt/awt/list.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/libawt_xawt/awt/multiVis.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/libawt_xawt/awt/multi_font.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/libawt_xawt/awt/wsutils.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/libawt_xawt/xawt/awt_Taskbar.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/libawt_xawt/xawt/gnome_interface.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.desktop/unix/native/libsplashscreen/splashscreen_config.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.instrument/share/native/libinstrument/EncodingSupport.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.instrument/share/native/libinstrument/FileSystemSupport.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.instrument/share/native/libinstrument/JPLISAgent.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.instrument/share/native/libinstrument/JPLISAssert.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.instrument/share/native/libinstrument/JarFacade.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.instrument/share/native/libinstrument/JavaExceptions.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.instrument/share/native/libinstrument/PathCharsValidator.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.instrument/share/native/libinstrument/Reentrancy.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.instrument/share/native/libinstrument/Utilities.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.management/share/native/libmanagement/management.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.security.jgss/share/native/libj2gss/NativeFunc.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.security.jgss/share/native/libj2gss/NativeUtil.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.security.jgss/share/native/libj2gss/gssapi.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.smartcardio/unix/native/libj2pcsc/MUSCLE/pcsclite.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/java.smartcardio/unix/native/libj2pcsc/pcsc_md.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.crypto.cryptoki/share/native/libj2pkcs11/j2secmod.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.crypto.cryptoki/share/native/libj2pkcs11
  /pkcs-11v2-20a3.h java-latest-openjdk-debugsource : /usr/src/debug/java-
  latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.crypto.cryptoki/share/native/libj2pkcs11/pkcs11.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.crypto.cryptoki/share/native/libj2pkcs11/pkcs11f.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.crypto.cryptoki/share/native/libj2pkcs11/pkcs11t.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.crypto.cryptoki/share/native/libj2pkcs11/pkcs11wrapper.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.crypto.cryptoki/unix/native/libj2pkcs11/j2secmod_md.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.crypto.cryptoki/unix/native/libj2pkcs11/p11_md.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.crypto.ec/share/native/libsunec/ecc_impl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.hotspot.agent/linux/native/libsaproc/libproc.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.hotspot.agent/linux/native/libsaproc/libproc_impl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.hotspot.agent/linux/native/libsaproc/proc_service.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.hotspot.agent/linux/native/libsaproc/salibelf.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.hotspot.agent/linux/native/libsaproc/symtab.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/include/jdwpTransport.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libdt_socket/sysSocket.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/ArrayReferenceImpl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/ArrayTypeImpl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/ClassLoaderReferenceImpl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/ClassObjectReferenceImpl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/ClassTypeImpl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/EventRequestImpl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/FieldImpl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/FrameID.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/InterfaceTypeImpl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/JDWP.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/MethodImpl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/ModuleReferenceImpl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/ObjectReferenceImpl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/ReferenceTypeImpl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/SDE.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/StackFrameImpl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/StringReferenceImpl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/ThreadGroupReferenceImpl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/ThreadReferenceImpl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/VirtualMachineImpl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/bag.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/classTrack.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/commonRef.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/debugDispatch.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/debugInit.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/debugLoop.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/error_messages.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/eventFilter.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/eventFilterRestricted.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/eventHandler.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/eventHandlerRestricted.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/eventHelper.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/export/sys.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/inStream.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/invoker.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/log_messages.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/outStream.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/standardHandlers.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/stepControl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/stream.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/threadControl.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/transport.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/utf_util.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/share/native/libjdwp/util.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.jdwp.agent/unix/native/libjdwp/util_md.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.management/share/native/libmanagement_ext/management_ext.h
  java-latest-openjdk-debugsource : /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.pack/share/native
  /common-unpack/bands.h java-latest-openjdk-debugsource : /usr/src/debug
  /java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.pack/share/native
  /common-unpack/bytes.h java-latest-openjdk-debugsource : /usr/src/debug
  /java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.pack/share/native
  /common-unpack/coding.h java-latest-openjdk-debugsource : /usr/src/debug
  /java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.pack/share/native
  /common-unpack/constants.h java-latest-openjdk-debugsource :
  /usr/src/debug/java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.pack/share/native
  /common-unpack/defines.h java-latest-openjdk-debugsource : /usr/src/debug
  /java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.pack/share/native
  /common-unpack/unpack.h java-latest-openjdk-debugsource : /usr/src/debug
  /java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.pack/share/native
  /common-unpack/utils.h java-latest-openjdk-debugsource : /usr/src/debug
  /java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.pack/share/native
  /common-unpack/zip.h java-latest-openjdk-debugsource : /usr/src/debug
  /java-latest-
  openjdk-12.0.0.33-3.rolling.fc29.x86_64/openjdk/src/jdk.sctp/unix/native/libsctp/Sctp.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

Comment 6 jiri vanek 2019-03-31 11:23:03 UTC
lease search *** for all nits
highlights:
- Package does not contain duplicates in %files.
  Note: BUILDSTDERR: warning: File listed twice:
  /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/server/classes.jsa
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles
*** Please check that and fix later
- Bundled jar/class files should be removed before build
  Note: Jar files in source (see attachment)
  See: http://fedoraproject.org/wiki/Packaging:Java#Pre-
  built_JAR_files_.2F_Other_bundled_software'
*** Those are IdealGraphVisualizer and tests. Please remove before build.
*** I'm not sure what to do with /usr/share/icons/. Had global settings changed in since last review?
    /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64{-slowdebug}/lib should be fixed
*** This is rename of java-openjdk package. Except reanimg, it does nothing else.
This package can not obsolete java-openjdk, as it would obsolete java-1.8.0-openjdk via manual provides of java-openjdk it have.
The java-openjdk package should be emptied together with this update, and should require this new package as its implementation(thoughts?).
Thus this can be handled later out of this review.
*** Suspicious is: java-latest-openjdk-devel!!
[-]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in java-latest-openjdk, java-latest-openjdk-slowdebug
*** partial bug in review, this is not necessary for  f30 and up, but please dont forget it for f29+f28
java-latest-openjdk.src:2083: W: macro-in-%changelog %check
*** shoudl be fixed
atest-openjdk.src: W: invalid-url Source0: jdk-jdk12-jdk-12+33.tar.xz
*** the usptream do not have osurce releases, they are generated by scripts which are in java-openjdk package
*** Petra Alice, please dont forget to importa also those files (they are not in srpm[intentionally])
java-latest-openjdk-slowdebug.x86_64: W: undefined-non-weak-symbol /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libawt_xawt.so


 JVM_GetMethodIxLocalsCount,
java-latest-openjdk-slowdebug.x86_64: W: undefined-non-weak-symbol /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64-slowdebug/lib/libjawt.so JVM_IsSameClassPackage,
java-latest-openjdk.x86_64: W: unused-direct-shlib-dependency /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libsplashscreen.so libjpeg.so.62
*** I dont know how this is ok/not ok. Lets discuss java-team here.

java-latest-openjdk.x86_64: W: unstripped-binary-or-object /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/lib/libawt_xawt.so
*** jdk is stripped in way, it can be actually useful

Comment 7 jiri vanek 2019-03-31 11:25:08 UTC
Considering this is rename, and very tricky rename, the package is APPROVED
Still there are several areas where java sig should look and possibly fix in PRs.

Comment 8 jiri vanek 2019-03-31 13:57:15 UTC
One more idea to consult with java sig:
/usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/

Maybe change the suffix to latest or sts? From those two I would vote latest, But only for consistency. From those three, I like rolling the most.

Comment 9 Severin Gehwolf 2019-04-01 08:06:04 UTC
(In reply to jiri vanek from comment #3)
> This package can not obsolete java-openjdk, as it would obsolete
> java-1.8.0-openjdk via manual provides of java-openjdk it have.
> The java-openjdk package should be emptied together with this update, and
> should require this new package as its implementation(thoughts?).

This seems sensible. We should consider doing this for stable branches (F30, F29, F28) only though. For rawhide going forward post this review "dnf install java-openjdk" should install JDK 8.

Comment 10 Gwyn Ciesla 2019-04-01 14:07:13 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/java-latest-openjdk

Comment 11 Severin Gehwolf 2019-04-01 14:34:38 UTC
(In reply to jiri vanek from comment #8)
> One more idea to consult with java sig:
> /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/
> 
> Maybe change the suffix to latest or sts? From those two I would vote
> latest, But only for consistency. From those three, I like rolling the most.

We should consider installing to this location instead. This should avoid the clash too when "latest == packaged LTS":

/usr/lib/jvm/java-latest-openjdk-<VERSION>-<RELEASE>.<ARCH>

Comment 12 jiri vanek 2019-04-01 14:36:53 UTC
Personally I disagree on this, but do not have exactly strongest opinion.

Comment 13 Severin Gehwolf 2019-04-01 15:02:06 UTC
(In reply to Severin Gehwolf from comment #11)
> (In reply to jiri vanek from comment #8)
> > One more idea to consult with java sig:
> > /usr/lib/jvm/java-12-openjdk-12.0.0.33-3.rolling.fc29.x86_64/
> > 
> > Maybe change the suffix to latest or sts? From those two I would vote
> > latest, But only for consistency. From those three, I like rolling the most.
> 
> We should consider installing to this location instead. This should avoid
> the clash too when "latest == packaged LTS":
> 
> /usr/lib/jvm/java-latest-openjdk-<VERSION>-<RELEASE>.<ARCH>

Let me explain why I think this would be a good idea:

- It avoids the installation clash when LTS == latest (last cycle with JDK 11)
- It allows for easier "reinstall breaks alternatives fix". See:
  https://bugzilla.redhat.com/show_bug.cgi?id=1200302#c67

So, Jiri, you disagree. What are your arguments against it?

Comment 14 jiri vanek 2019-04-01 15:30:07 UTC
One expect digit in the middle.

Comment 15 Severin Gehwolf 2019-04-01 16:06:14 UTC
(In reply to jiri vanek from comment #14)
> One expect digit in the middle.

I'm curious: What expects it? A human? Some tooling?

Comment 16 jiri vanek 2019-04-02 07:54:06 UTC
both?

total 12
lrwxrwxrwx 1 root root   26 Jan 19 12:58 java -> /etc/alternatives/java_sdk
lrwxrwxrwx 1 root root   29 Jan 19 12:58 java-11 -> /etc/alternatives/java_sdk_11
lrwxrwxrwx 1 root root   37 Jan 19 12:58 java-11-openjdk -> /etc/alternatives/java_sdk_11_openjdk
drwxr-xr-x 7 root root 4096 Jan 19 12:57 java-11-openjdk-11.0.1.13-10.fc29.x86_64
lrwxrwxrwx 1 root root   32 Jan 19 12:58 java-1.8.0 -> /etc/alternatives/java_sdk_1.8.0
lrwxrwxrwx 1 root root   40 Jan 19 12:58 java-1.8.0-openjdk -> /etc/alternatives/java_sdk_1.8.0_openjdk
drwxr-xr-x 7 root root 4096 Jan 19 12:57 java-1.8.0-openjdk-1.8.0.191.b13-0.fc29.x86_64
lrwxrwxrwx 1 root root   28 May 29  2018 java-9 -> /etc/alternatives/java_sdk_9
lrwxrwxrwx 1 root root   36 May 29  2018 java-9-openjdk -> /etc/alternatives/java_sdk_9_openjdk
drwxr-xr-x 7 root root 4096 May 29  2018 java-9-openjdk-9.0.4.11-6.fc28.x86_64
lrwxrwxrwx 1 root root   34 Jan 19 12:58 java-openjdk -> /etc/alternatives/java_sdk_openjdk
lrwxrwxrwx 1 root root   21 Jan 19 12:59 jre -> /etc/alternatives/jre
lrwxrwxrwx 1 root root   24 Jan 19 12:58 jre-11 -> /etc/alternatives/jre_11
lrwxrwxrwx 1 root root   32 Jan 19 12:58 jre-11-openjdk -> /etc/alternatives/jre_11_openjdk
lrwxrwxrwx 1 root root   40 Dec 21 20:40 jre-11-openjdk-11.0.1.13-10.fc29.x86_64 -> java-11-openjdk-11.0.1.13-10.fc29.x86_64
lrwxrwxrwx 1 root root   27 Jan 19 12:59 jre-1.8.0 -> /etc/alternatives/jre_1.8.0
lrwxrwxrwx 1 root root   35 Jan 19 12:59 jre-1.8.0-openjdk -> /etc/alternatives/jre_1.8.0_openjdk
lrwxrwxrwx 1 root root   50 Jan 14 16:42 jre-1.8.0-openjdk-1.8.0.191.b13-0.fc29.x86_64 -> java-1.8.0-openjdk-1.8.0.191.b13-0.fc29.x86_64/jre
lrwxrwxrwx 1 root root   23 May 29  2018 jre-9 -> /etc/alternatives/jre_9
lrwxrwxrwx 1 root root   31 May 29  2018 jre-9-openjdk -> /etc/alternatives/jre_9_openjdk
lrwxrwxrwx 1 root root   37 Feb 14  2018 jre-9-openjdk-9.0.4.11-6.fc28.x86_64 -> java-9-openjdk-9.0.4.11-6.fc28.x86_64
lrwxrwxrwx 1 root root   29 Jan 19 12:59 jre-openjdk -> /etc/alternatives/jre_openjdk
 jvanek  jvanek  09:52:35  ~  $  alternatives --config java

There are 3 programs which provide 'java'.

  Selection    Command
-----------------------------------------------
   1           java-11-openjdk.x86_64 (/usr/lib/jvm/java-11-openjdk-11.0.1.13-10.fc29.x86_64/bin/java)
   2           java-9-openjdk.x86_64 (/usr/lib/jvm/java-9-openjdk-9.0.4.11-6.fc28.x86_64/bin/java)
*+ 3           java-1.8.0-openjdk.x86_64 (/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.191.b13-0.fc29.x86_64/jre/bin/java)

Enter to keep the current selection[+], or type selection number: ^C
 jvanek  jvanek  09:52:53  ~  $  alternatives --config javac

There are 3 programs which provide 'javac'.

  Selection    Command
-----------------------------------------------
   1           java-9-openjdk.x86_64 (/usr/lib/jvm/java-9-openjdk-9.0.4.11-6.fc28.x86_64/bin/javac)
*+ 2           java-1.8.0-openjdk.x86_64 (/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.191.b13-0.fc29.x86_64/bin/javac)
   3           java-11-openjdk.x86_64 (/usr/lib/jvm/java-11-openjdk-11.0.1.13-10.fc29.x86_64/bin/javac)




On contrary, I already made one very bad decision in this topic

Comment 17 Petra Alice Mikova 2019-04-02 11:53:35 UTC
(In reply to Severin Gehwolf from comment #15)
> (In reply to jiri vanek from comment #14)
> > One expect digit in the middle.
> 
> I'm curious: What expects it? A human? Some tooling?

Some of our tools expect it (at least jsf definitely does), but I would not say that is a dealbreaker, I can fix that one. 

I am no expert in this area, so I don't know how many things could it break, but I like the "latest" idea, it would be less confusing imho, for users, than having 2x java-xy-openjdk when lts comes, since I would expect, if I hadn't know this, to have same dir as package name. The rolling suffix is much easier to miss, than different dir name. The version is mentioned there in both cases, so I don't mind.

I can change this easily, so just tell me if I should change it.


Thanks!

Comment 18 Severin Gehwolf 2019-04-02 12:25:17 UTC
(In reply to Petra Alice Mikova from comment #17)
> (In reply to Severin Gehwolf from comment #15)
> > (In reply to jiri vanek from comment #14)
> > > One expect digit in the middle.
> > 
> > I'm curious: What expects it? A human? Some tooling?
> 
> Some of our tools expect it (at least jsf definitely does), but I would not
> say that is a dealbreaker, I can fix that one. 
> 
> I am no expert in this area, so I don't know how many things could it break,
> but I like the "latest" idea, it would be less confusing imho, for users,
> than having 2x java-xy-openjdk when lts comes, since I would expect, if I
> hadn't know this, to have same dir as package name. The rolling suffix is
> much easier to miss, than different dir name. The version is mentioned there
> in both cases, so I don't mind.
> 
> I can change this easily, so just tell me if I should change it.

I don't fully understand comment 16 from Jiri. Perhaps he means this change would need alternatives adjustment and/or javapackages-tools coordination. Either way, we should investigate this and make a conscious decision.

Comment 19 Fedora Update System 2019-04-04 07:01:39 UTC
java-latest-openjdk-12.0.0.33-2.rolling.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9e7acb21f6

Comment 20 Fedora Update System 2019-04-04 07:01:45 UTC
java-latest-openjdk-12.0.0.33-3.rolling.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b5286b199

Comment 21 Fedora Update System 2019-04-04 07:02:14 UTC
java-latest-openjdk-12.0.0.33-3.rolling.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-312f55bb05

Comment 22 Fedora Update System 2019-04-04 07:02:27 UTC
java-latest-openjdk-12.0.0.33-3.rolling.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d36d9ed495

Comment 23 Fedora Update System 2019-04-08 07:48:35 UTC
java-latest-openjdk-12.0.0.33-3.rolling.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-fd1b62ba04

Comment 24 Fedora Update System 2019-04-09 03:14:21 UTC
java-latest-openjdk-12.0.0.33-3.rolling.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-fd1b62ba04

Comment 25 Fedora Update System 2019-04-23 09:58:01 UTC
java-latest-openjdk-12.0.1.12-1.rolling.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-efd25732f7

Comment 26 Fedora Update System 2019-04-23 23:40:50 UTC
java-latest-openjdk-12.0.1.12-1.rolling.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-efd25732f7

Comment 27 Fedora Update System 2019-04-26 11:41:11 UTC
java-openjdk-12.0.0.33-4.rolling.fc29 java-latest-openjdk-12.0.1.12-1.rolling.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-721aa5f5c8

Comment 28 Fedora Update System 2019-04-26 11:41:16 UTC
java-openjdk-12.0.0.33-4.rolling.fc30 java-latest-openjdk-12.0.1.12-1.rolling.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bbcff253ca

Comment 29 Fedora Update System 2019-04-26 11:41:21 UTC
java-openjdk-12.0.0.33-4.rolling.fc28 java-latest-openjdk-12.0.1.12-1.rolling.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c984c56cbd

Comment 30 Fedora Update System 2019-04-27 22:30:29 UTC
java-latest-openjdk-12.0.1.12-1.rolling.fc30, java-openjdk-12.0.0.33-4.rolling.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bbcff253ca

Comment 31 Fedora Update System 2019-04-27 23:11:45 UTC
java-latest-openjdk-12.0.1.12-1.rolling.fc28, java-openjdk-12.0.0.33-4.rolling.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c984c56cbd

Comment 32 Fedora Update System 2019-04-28 00:13:38 UTC
java-latest-openjdk-12.0.1.12-1.rolling.fc29, java-openjdk-12.0.0.33-4.rolling.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-721aa5f5c8

Comment 33 Fedora Update System 2019-05-03 00:58:54 UTC
java-latest-openjdk-12.0.1.12-1.rolling.fc30, java-openjdk-12.0.0.33-4.rolling.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2019-05-03 01:35:55 UTC
java-latest-openjdk-12.0.1.12-1.rolling.fc28, java-openjdk-12.0.0.33-4.rolling.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2019-05-03 03:42:04 UTC
java-latest-openjdk-12.0.1.12-1.rolling.fc29, java-openjdk-12.0.0.33-4.rolling.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2019-05-09 00:41:41 UTC
java-latest-openjdk-12.0.1.12-1.rolling.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 37 jiri vanek 2019-09-25 10:44:26 UTC
Long ago done. Recently bumped to jdk13


Note You need to log in before you can comment on or make changes to this bug.